/**	gpu_simplex, a simplex solver using the GPU
 *	Copyright (C) 2011  Jakob Bieling, University of Bonn <bieling@cs.uni-bonn.de>
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

//	Author:	Jakob Bieling
//	Date:	February 03, 2009


#pragma once

extern int			VERBOSE;
extern bool			RUN_BOUNDED;
extern bool			RANDOM_BOUNDS;
extern bool			ALLOW_NEG_ROW_UB;
extern bool			SAT_ONLY;
extern bool			RUN_CALCS;
extern bool			SKIP_WARMUP;
extern bool			ABORT_ON_DEVIATE;
extern int			HEURISTIC;
extern bool			USE_METHOD [4];
extern int			PROBLEM_SIZE [3];
extern int			PROBLEM_SEED [2];
extern char const*	PROBLEM_FILE;
extern char			PROCESS_FILE [1024];
extern char			TIMINGS_FILE [1024];
extern char			STATISTICS_FILE [1024];

void print_help ();
int read_args (int argc, char const* argv []);

#define xprint(x) if (VERBOSE >= x) printf
