/**	gpu_simplex, a simplex solver using the GPU
 *	Copyright (C) 2011  Jakob Bieling, University of Bonn <bieling@cs.uni-bonn.de>
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

//	Author:	Jakob Bieling
//	Date:	February 03, 2009


#include "extensions.h"
#include <cctype>

std::vector <char> get_extensions ()
{
	std::vector <char> v;

	char const* exts = reinterpret_cast <char const*> (glGetString (GL_EXTENSIONS));
	size_t		exts_sz = strlen (exts);

	v.push_back (' ');
	v.insert (v.end (), exts, exts + exts_sz);
	v.push_back (' ');
	v.push_back (0);

	std::transform (v.begin(), v.end(), v.begin(), toupper);

	return v;
}
