/**	gpu_simplex, a simplex solver using the GPU
 *	Copyright (C) 2011  Jakob Bieling, University of Bonn <bieling@cs.uni-bonn.de>
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

//	Author:	Jakob Bieling
//	Date:	February 03, 2009


#pragma once

#include "extensions.h"


#ifndef __APPLE__
extern PFNGLACTIVETEXTUREARBPROC						glActiveTextureARB;
extern PFNGLCLIENTACTIVETEXTUREARBPROC					glClientActiveTextureARB;
#endif

namespace multitexture
{
	inline bool is_supported ()
	{
		static bool is_supp = false,
					is_checked = false;
		
		if (!is_checked)
		{
			if (extensions::is_supported ("GL_ARB_multitexture"))
			{
#ifndef __APPLE__
				glActiveTextureARB = (PFNGLACTIVETEXTUREARBPROC) wglXGetProcAddress ("glActiveTextureARB");
				glClientActiveTextureARB = (PFNGLCLIENTACTIVETEXTUREARBPROC) wglXGetProcAddress ("glClientActiveTextureARB");
#endif

				is_supp =	glActiveTextureARB &&
							glClientActiveTextureARB;
			}
			is_checked = true;
		}
		
		return is_supp;
	}
};
