/**	gpu_simplex, a simplex solver using the GPU
 *	Copyright (C) 2011  Jakob Bieling, University of Bonn <bieling@cs.uni-bonn.de>
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

//	Author:	Jakob Bieling
//	Date:	February 03, 2009


#pragma once

//#include "cpu/texture_rect.h"
#include "gpu/frame_buffer.h"
#include "gpu/settings.h"

namespace gpu
{

	#ifdef USE_1CHN_TEXTURE

		#define EXT_texture_float	"GL_NV_float_buffer"

		#ifndef GL_FLOAT_R32_NV
		#define GL_FLOAT_R32_NV   0x8885
		#endif

		#ifndef GL_FLOAT_RGBA32_NV
		#define GL_FLOAT_RGBA32_NV   0x888B
		#endif

		typedef texture <GL_TEXTURE_RECTANGLE_ARB, GL_RED, GL_FLOAT_R32_NV, float> texture_rect1f;
		typedef texture <GL_TEXTURE_RECTANGLE_ARB, GL_RGBA, GL_FLOAT_RGBA32_NV, float> texture_rect4f;

	#else

		#define EXT_texture_float	"GL_ARB_texture_float"

		typedef texture <GL_TEXTURE_RECTANGLE_ARB, GL_RGBA, GL_RGBA32F_ARB, float> texture_rect1f;
		typedef texture <GL_TEXTURE_RECTANGLE_ARB, GL_RGBA, GL_RGBA32F_ARB, float> texture_rect4f;

	#endif

};
/*
namespace cpu
{
	typedef texture_rect <1, float> texture_rect1f;
	typedef texture_rect <4, float> texture_rect4f;
};
*/
