/**	gpu_simplex, a simplex solver using the GPU
 *	Copyright (C) 2011  Jakob Bieling, University of Bonn <bieling@cs.uni-bonn.de>
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

//	Author:	Jakob Bieling
//	Date:	February 03, 2009


#pragma once

#include <cstdio>

//#define PROFILE

namespace timer
{
	void start (char const* n);
	void stop (char const* n);
	void insert_measurement (char const* n, double value);

	void block_new_timers ();
	void unblock_new_timers ();
	void clear_timers ();
	double get_timer (char const* function);

	void current_run (int r);

	char const* get_prefix ();
	void prefix (char const* p);


	void print_all_times (FILE* f);
	void print_statistics (FILE* f);
};

// starts timer TimerName of type TimerType, executes Code, and then stops timer TimerName
#ifdef PROFILE
#define TIME(TimerName,Code) timer::start (TimerName); Code; timer::stop (TimerName)
#else
#define TIME(TimerName,Code) Code
#endif
